Summary:        Documents that answer the most commonly asked questions about Perl
Name:           perl-perlfaq
Version:        5.20210520
Release:        3%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/dist/perlfaq
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/perlfaq-%{version}.tar.gz

BuildRequires:  coreutils perl-generators perl-interpreter make
BuildRequires:  perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
# Tests:
BuildRequires:  perl(blib) perl(File::Spec) perl(IO::Handle)
BuildRequires:  perl(IPC::Open3) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

BuildArch:      noarch

%description
The perlfaq comprises several documents that answer the most commonly 
asked questions about Perl and Perl programming. It's divided by topic 
into nine major sections outlined in this document.


%prep
%autosetup -n perlfaq-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20210520-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20210520-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 5.20210520-1
- initial build, Version 5.20210520, Release 1
